Subject: bug#19874: 25.0.50; encode-time not working as expected

From: [email-masked] (Ashish SHUKLA)
Date: Fri, 27 Feb 2015 01:14:38 +0530

On Thu, 26 Feb 2015 20:00:18 +0100, Wolfgang Jenkner <[email-masked]> said:
| On Thu, Feb 26 2015, Paul Eggert wrote:

|| On 02/26/2015 05:42 AM, Wolfgang Jenkner wrote:
|||| Is 'configure' setting APPLE_UNIVERSAL_BUILD to 1, or to 0?  You can
|||| >tell by looking for APPLE_UNIVERSAL_BUILD in lib/Makefile.
||| What has this to do with FreeBSD?
||| 
|| 
|| If 'configure' mistakenly set APPLE_UNIVERSAL_BUILD to 1, it would
|| cause 'configure' to guess that mktime was buggy, and I was worried
|| that this would have caused the problem.  However, this was a red
|| herring, as you've established that FreeBSD localtime and/or mktime is
|| indeed buggy in this area, so 'configure' appears to be doing the
|| right thing in rejecting FreeBSD mktime.

[...]

| Ah, and the OP's example actually seems to give the expected result here
| (my timezone is Europe/Vienna):

| (encode-time 44 42 6 15 2 2015 0 nil 0)
| => (21728 16356)

In interactive mode ? In interactive-mode it's broken for me, in batch mode it
works fine.

-- 
Ashish SHUKLA

“The English have no respect for their language, and will not teach their
children to speak it.” (George Bernard Shaw, "Pygmalion", 1912)

Sent from my Emacs